<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:c="http://java.sun.com/jstl/core" xmlns:rich="http://richfaces.org/rich"
                template="/layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}"/>
    <ui:param name="pageNameUrl" value="messageContentAnalyzerDetailedResult.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzerDetailedResult']}"/>
    <ui:define name="header">
        <h:outputStylesheet library="stylesheet" name="extraxml.css"/>
    </ui:define>
    <ui:define name="body">
        <s:div rendered="#{!analysisBeanGui.getAnalysis().getRootAnalysisPart().isEmpty()}">
            <h:form id="resultForm" >

                <s:div id="validationResultdiv" rendered="#{!analysisBeanGui.getAnalysis().getRootAnalysisPart().isEmpty()}">

                    <s:div  id="validationResultPanel" rendered="#{analysisBeanGui.getAnalysis().getRootAnalysisPart() != null}">

                        <ui:include src="/common/_messageContentAnalyzerInfoPanel.xhtml">
                                <ui:param name="objectParam" value="#{analysisBeanGui.getSelectedObject()}"/>
                        </ui:include>

                        <ui:include src="/common/_messageContentAnalyzerResultDiv.xhtml"/>
                    </s:div>
                </s:div>
            </h:form>
        </s:div>
        <s:div rendered="#{analysisBeanGui.getAnalysis().getRootAnalysisPart().isEmpty()}">

            <ui:decorate template="/layout/panels/_panel_title.xhtml">

                <ui:param name="panel_id" value="notEnoughRightPanel"/>
                <ui:param name="bodyStyleClass" value="bg-warning"/>

                <p><h:outputText value="#{messages['net.ihe.gazelle.mca.TheApplicationHasNotBeenAbleToRetrieveTheObjectB']}"/></p>

                <ui:define name="panel_title">
                    <s:span styleClass="gzl-icon-exclamation-triangle"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.mca.CannotAccessAnalysisResult']}"/>
                </ui:define>

            </ui:decorate>
        </s:div>

    </ui:define>
</ui:composition>

